<%@ Control Language="c#" Codebehind="ShoppingCart.ascx.cs" Inherits="DNNMasters.CB.Store.UI.ShoppingCart" TargetSchema="http://schemas.microsoft.com/intellisense/ie3-2nav3-0" AutoEventWireup="false" %>

<%@ register src="UserControls/OrderProgressControl.ascx" tagname="OrderProgressControl" tagprefix="uc1" %>

<uc1:OrderProgressControl id="_ctlOrderProgressControl" runat="server"/>
<asp:Panel class="OrderSummaryContent" runat="server" ID="_pnlCart">
     <table class="cart">
        <tbody>
            <tr class="cart-header-row">
                <td width="10%">
                    Remove
                </td>
                <td class="picture">
                </td>
                <td width="40%">
                    Product(s)
                </td>
                <td width="20%">
                    UnitPrice
                </td>
                <td width="10%">
                    Qty
                </td>
                <td width="20%" class="end">
                    ItemTotal
                </td>
            </tr>
            <asp:Repeater ID="_rptShoppingCart" runat="server">
                <ItemTemplate>
                    <tr class="cart-item-row">
                        <td width="10%">
                            <asp:CheckBox runat="server" ID="cbRemoveFromCart" />
                        </td>
                        <td class="productpicture">
                            <asp:Image ID="iProductVariantPicture" runat="server" ImageUrl='<%#GetProductImageUrl(Eval("IconUrl"))%>' />
                        </td>
                        <td width="40%" class="product">
                            <a href='<%#GetProductURL(Eval("PostId"))%>'>
                                <%#Server.HtmlDecode(Eval("Title").ToString())%></a>
                            <%#Server.HtmlDecode(Eval("TeaserBody").ToString())%>
                            <asp:Panel runat="server" ID="pnlWarnings" CssClass="WarningBox" EnableViewState="false"
                                Visible="false">
                                <asp:Label runat="server" ID="lblWarning" CssClass="WarningText" EnableViewState="false"
                                    Visible="false"></asp:Label>
                            </asp:Panel>
                        </td>
                        <td width="20%">
                            <%# ReturnCurrency() %><%#Eval("SalePrice").ToString()%>
                        </td>
                        <td width="10%">
                            <asp:TextBox ID="txtQuantity" size="4" value="1" runat="server" Text='<%# Eval("Quantity") %>'
                                SkinID="ShoppingCartQuantityText" />
                        </td>
                        <td width="20%" class="end">
                            <%# ReturnCurrency() %><%#GetShoppingCartItemSubTotalString(Eval("SalePrice"), Eval("Quantity"))%>
                            <asp:Label ID="lblShoppingCartItemID" runat="server" Visible="false" Text='<%# Eval("ShoppingCartId") %>' />
                        </td>
                    </tr>
                </ItemTemplate>
            </asp:Repeater>
        </tbody>
    </table>
    
<div class="cart-footer">
        <div class="clear">
        </div>
        <div class="Buttons">
            <div class="CommonButtons">
                <asp:Button ID="_btnUpdate" runat="server" Text="Update cart"/>
                <asp:Button ID="_btnContinueShopping" runat="server" Text="Continue shopping"  />
                <asp:Button ID="_btnCheckout" runat="server" Text="Checkout" />
            </div>
        </div>
        <div class="TotalInfo">
            <table class="cart-total">
                <tbody>
                    <tr>
                        <td class="cart_total_left">
                            <strong>Sub-Total:</strong>
                        </td>
                        <td class="cart_total_right">
                            <nobr>
                                <asp:Label ID="_lblSubTotalAmount" runat="server" CssClass="productPrice" />
                            </nobr>
                        </td>
                    </tr>
                    <tr>
                        <td class="cart_total_left">
                            <strong>Shipping:</strong>
                        </td>
                        <td class="cart_total_right">
                            <nobr>
                                <asp:Label ID="_lblShippingAmount" runat="server" CssClass="productPrice" />
                            </nobr>
                        </td>
                    </tr>
                    <tr runat="server" id="_trTaxes">
                        <td class="cart_total_left">
                            <strong>Tax [<asp:Label ID="_lblTaxPercentValue" runat="server" />%]  :</strong>
                        </td>
                        <td class="cart_total_right">
                            <nobr>
                                <asp:Label ID="_lblTotalTaxAmount" runat="server" CssClass="productPrice" />
                            </nobr>
                        </td>
                    </tr>
                    <tr>
                        <td class="cart_total_left">
                            <strong>Order Total:</strong>
                        </td>
                        <td class="cart_total_right">
                            <nobr>
                                <asp:Label ID="_lblTotalAmount" runat="server" CssClass="productPrice" />
                            </nobr>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
    
</asp:Panel>
<asp:Literal ID="_litEmptyCart" runat="server"></asp:Literal>
<asp:Button ID="_btnContinueShopping2" runat="server" Text="Continue shopping"  />
