<%@ Control Language="C#" AutoEventWireup="false" CodeBehind="VideoUpload.ascx.cs"
    Inherits="DNNMasters.ContentBuilder.UserControls.VideoUpload" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnn" Assembly="DotNetNuke" Namespace="DotNetNuke.UI.WebControls" %>
<%-- Register the FlashUpload control so we can use it below --%>
<%@ Register Assembly="FlashUpload" Namespace="FlashUpload" TagPrefix="FlashUpload" %>

<script type="text/javascript">
    $(document).ready(function () {
        $('#<%= _rblVideoType.ClientID %> input').click(function (e) {
            var val = $('#<%= _rblVideoType.ClientID %>').find('input:checked').val();
            if (val == "Upload") {
                $("#<%= _pnlUrlControls.ClientID %>").hide();
                $("#<%= _pnlUploadControls.ClientID %>").show();
            }
            else {
                $("#<%= _pnlUrlControls.ClientID %>").show();
                $("#<%= _pnlUploadControls.ClientID %>").hide();
            }
        });
    });

</script>

<table border="0">
    <tr>
        <td class="SubHead" style="width: 160px;">
            <dnn:label id="lblSelectVideoSource" controlname="" suffix=":" runat="server">
            </dnn:label>
        </td>
        <td>
        </td>
    </tr>
    <tr>
        <td colspan="2" width="*">
            <asp:RadioButtonList ID="_rblVideoType" runat="server" >
                <asp:ListItem Value="Upload" Selected="True" resourcekey="_rblVideoType_Upload"></asp:ListItem>
                <asp:ListItem Value="External" Selected="False" resourcekey="_rblVideoType_External"></asp:ListItem>
            </asp:RadioButtonList>
        </td>
    </tr>
</table>

<asp:Panel ID="_pnlUrlControls" runat="server">
<table border="0">
    <tr>
        <td class="SubHead" style="width: 160px;">
            <dnn:label id="lblVideoUrl" controlname="" suffix=":" runat="server">
            </dnn:label>
        </td>
        <td>
            <asp:TextBox ID="_txtVideoUrl" runat="server" CssClass="NormalTextBox" Width="300px"></asp:TextBox>
            <asp:RegularExpressionValidator ID="regVideoUrl" runat="server" ErrorMessage="Invalid Url!" ControlToValidate="_txtVideoUrl" ValidationExpression="http://([\w-]+\.)+[\w-]+(/[\w-./?%&=]*)?" CssClass="NormalRed" Display="Dynamic"></asp:RegularExpressionValidator>
        </td>
    </tr>
</table>
</asp:Panel>

<asp:Panel ID="_pnlUploadControls" runat="server">
    <asp:Panel ID="_pnlUploadFile" runat="server">
        <asp:Literal ID="_litUploadInfo" runat="server"></asp:Literal>
        <FlashUpload:FlashUpload ID="flashUpload" runat="server" UploadPage="Upload.axd"
            OnUploadComplete="UploadComplete()" FileTypeDescription="Images" FileTypes="*.gif; *.png; *.jpg; *.jpeg *.pdf"
            UploadFileSizeLimit="18000000" TotalUploadSizeLimit="20971520" />
        <asp:LinkButton ID="LinkButton1" runat="server" OnClick="LinkButton1_Click"></asp:LinkButton>
    </asp:Panel>
    <asp:Panel ID="_pnlUploadFileStandard" runat="server">
        <asp:FileUpload ID="Upload" runat="server" />
        <br />
        <asp:Button ID="btnUpload" runat="server" OnClick="btnUpload_Click" Text="Upload" />
        <asp:Label ID="lblError" runat="server" Visible="false" />
    </asp:Panel>
    <asp:Panel ID="_pnlUploadedFileInfo" runat="server" Visible="false">
        <asp:Timer ID="_tmrStatus" runat="server" Enabled="false" Interval="1000" />
        <asp:UpdatePanel runat="server" ID="_upStatus" ChildrenAsTriggers="true" UpdateMode="Conditional">
            <ContentTemplate>
                <asp:Literal ID="_litStatus" runat="server" /><br />
            </ContentTemplate>
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="_tmrStatus" EventName="Tick" />
            </Triggers>
        </asp:UpdatePanel>
    </asp:Panel>
</asp:Panel>
